Bug 196006 - Review Request: perl-WWW-Bugzilla - Handles submission/update of bugzilla bugs via WWW::Mechanize
Review Request: perl-WWW-Bugzilla - Handles submission/update of bugzilla bug...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 197314 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-20 06:23 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 16:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-06-20 06:23:56 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-WWW-Bugzilla.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-WWW-Bugzilla-0.8-1.src.rpm

Description:
This module provides a perl API for adding and updating Bugzilla bugs.
It can be useful in writing custom frontends to a Bugzilla server, and
the frontends do not have to sit on the same server as long as they
can reach it via HTTP.
Comment 1 Jason Tibbitts 2006-06-21 12:45:43 EDT
Not much to say, really.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  Both icense texts included in package.
* source files match upstream:
   0bc73f27fe485acfd8d23a6a21a94d01  WWW-Bugzilla-0.8.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(WWW::Bugzilla)
   perl-WWW-Bugzilla = 0.8-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Class::MethodMaker) >= 1.08
   perl(WWW::Mechanize)
   perl(constant)
   perl(strict)
   perl(warnings)

* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present, but necessarily disabled.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-06-21 16:47:55 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Comment 3 Chris Weyl 2006-06-30 01:06:30 EDT
*** Bug 197314 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.